> This page is for 플랫폼, version 레거시.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 실험적: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - 레거시: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# 에셋 복사

POST https://api.frame.io/v2/assets/{destination_folder}/copy
Content-Type: application/json

에셋을 새 위치로 복사

Reference: https://next.developer.frame.io/platform/v2/api-reference/assets/copy-asset

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `destination_folder` (string, required) — Destination folder `id`

### Body (application/json)

This endpoint expects an object.

- `id` (string, required) — Identifier of the asset to be copied

## Response

### 200

Asset success response

- `Asset`

## Errors

### 401 Unauthorized Error

Unauthorized response

- `code` (integer, optional)
- `errors` (list of HttpErrorErrorsItems, optional)
- `message` (string, optional)

### 404 Not Found Error

Not Found response

- `code` (integer, optional)
- `errors` (list of HttpErrorErrorsItems, optional)
- `message` (string, optional)

## Types

### Asset0

- `` (string, optional)

### HttpErrorErrorsItems

- `code` (integer, optional)
- `detail` (string, optional)
- `status` (integer, optional)
- `title` (string, optional)

## Examples

**Request**

```json
{
  "id": "string"
}
```

**Response**

```json
{
  "account_id": "string",
  "archive_from": "2024-01-15T09:30:00Z",
  "archive_scheduled_at": "2024-01-15T09:30:00Z",
  "archive_status": "string",
  "archived_at": "2024-01-15T09:30:00Z",
  "asset_type": "document",
  "bundle": true,
  "bundle_view": "string",
  "cover_asset_id": "string",
  "creator": {
    "_type": "string",
    "account_id": "string",
    "avatar_color": "string",
    "digest_frequency": "string",
    "email": "string",
    "first_login_at": "string",
    "from_adobe": true,
    "from_google": true,
    "highest_account_role": "string",
    "id": "string",
    "image_128": "string",
    "image_256": "string",
    "image_32": "string",
    "image_64": "string",
    "inserted_at": "string",
    "integrations": [
      "string"
    ],
    "joined_via": "string",
    "last_seen": "string",
    "mfa_enforced_at": "string",
    "name": "string",
    "next_digest_date": "string",
    "profile_image": "string",
    "roles": {
      "admin": true,
      "id": "string",
      "sales": true,
      "service_desk": true,
      "support": true
    },
    "timezone_value": "string",
    "updated_at": "string",
    "upload_url": "string",
    "user_default_color": "string",
    "user_hash": "string"
  },
  "frames": 1,
  "hard_deleted_at": "2024-01-15T09:30:00Z",
  "id": "string",
  "index": 1.1,
  "is_bundle_child": true,
  "is_hls_required": true,
  "is_session_watermarked": true,
  "item_count": 1,
  "label": "string",
  "metadata": {},
  "metadata_flags": {
    "id": "string",
    "is_360": true,
    "is_hdr": true,
    "is_original_player_compatible": true
  },
  "name": "string",
  "original": "string",
  "parent_asset_id": "string",
  "project_id": "string",
  "properties": {
    "": "string"
  },
  "required_transcodes": {
    "cover": true,
    "finalized": [
      "thumb"
    ],
    "h264_1080_best": true,
    "h264_2160": true,
    "h264_360": true,
    "h264_540": true,
    "h264_720": true,
    "image_full": true,
    "image_high": true,
    "page_proxy": true,
    "thumb": true,
    "thumb_540": true,
    "thumb_orig_ar_540": true,
    "thumb_scrub": true
  },
  "team_id": "string",
  "type": "file",
  "user_permissions": {
    "can_download": true,
    "can_modify_template": true,
    "can_public_share_presentation": true,
    "can_public_share_review_link": true,
    "can_share_downloadable_presentation": true,
    "can_share_downloadable_review_link": true,
    "can_share_unwatermarked_presentation": true,
    "can_share_unwatermarked_review_link": true
  },
  "view_count": 1
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v2/assets/destination_folder/copy"

payload = { "id": "string" }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v2/assets/destination_folder/copy';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"id":"string"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v2/assets/destination_folder/copy"

	payload := strings.NewReader("{\n  \"id\": \"string\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v2/assets/destination_folder/copy")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"id\": \"string\"\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.frame.io/v2/assets/destination_folder/copy")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"id\": \"string\"\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.frame.io/v2/assets/destination_folder/copy', [
  'body' => '{
  "id": "string"
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v2/assets/destination_folder/copy");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"id\": \"string\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["id": "string"] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v2/assets/destination_folder/copy")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```